// Copyright (c) 2012, Ladislav Thon. All rights reserved. Use of this source
// code is governed by a BSD-style license that can be found in the LICENSE file.

library detester.dsl;

import 'dart:collection';
import 'package:darmatch/matchers.dart';
import 'package:detester/core.dart';

part 'src/dsl/dsl_impl.dart';
part 'src/dsl/exceptions.dart';

get table => new _Table();

get expect => new _Expectations();

each(Iterable iterable) => new _Each(iterable);

typedef bool BoolFunction();
